import {CUSTOM_ELEMENTS_SCHEMA, NgModule, NO_ERRORS_SCHEMA} from '@angular/core';
import {CommonModule} from '@angular/common';
import {BusinessWarningComponent} from './business-warning/business-warning.component';
import {ResourceWarningComponent} from './resource-warning/resource-warning.component';
import {RoleWarningComponent} from './role-warning/role-warning.component';
import {WorkWarningComponent} from './work-warning/work-warning.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {PipeModule} from '../shared/pipe/pipe.module';
import {RouterModule} from '@angular/router';
import {NgxEchartsModule} from 'ngx-echarts';
import {DragulaModule} from 'ng2-dragula';
import {EarlyWarningService} from './earlyWarning.service';
import {FullScreenComponent} from '../modal/full-screen/full-screen.component';
import {NotationComponent} from './modal/notation/notation.component';
import {WarningTrackInfoComponent} from './modal/warning-track-info/warning-track-info.component';
import {WarngingRuleComponent} from './modal/warnging-rule/warnging-rule.component';
import {WarningRuleLookComponent} from './modal/warning-rule-look/warning-rule-look.component';

@NgModule({
    imports: [
        PipeModule,
        RouterModule,
        CommonModule,
        NgxEchartsModule,
        FormsModule,
        ReactiveFormsModule,
        NgZorroAntdModule.forRoot(),
        DragulaModule.forRoot(),
    ],
    providers: [
        EarlyWarningService,
    ],
    declarations: [
        BusinessWarningComponent,
        ResourceWarningComponent,
        RoleWarningComponent,
        WorkWarningComponent,
        NotationComponent,
        WarningTrackInfoComponent,
        WarngingRuleComponent,
        WarningRuleLookComponent
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA, NO_ERRORS_SCHEMA],
})
export class EarlyWarningModule {
}
